[23418] in Source-Commits
/svn/athena r23072 - trunk/debathena/scripts
daemon@ATHENA.MIT.EDU (ghudson@MIT.EDU)
Fri Jul 11 16:25:26 2008
Date: Fri, 11 Jul 2008 16:24:52 -0400 (EDT)
From: ghudson@MIT.EDU
Message-Id: <200807112024.QAA18556@drugstore.mit.edu>
To: source-commits@MIT.EDU
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 8bit
Author: ghudson
Date: 2008-07-11 16:24:52 -0400 (Fri, 11 Jul 2008)
New Revision: 23072
Modified:
trunk/debathena/scripts/daupload-release
trunk/debathena/scripts/sbuildhack
Log:
In daupload-release and sbuildhack, add support for a ./nobuild file
specifying distributions not to build a package for. For now, nobuild
files will live in the build parent directory and not be versioned.
Modified: trunk/debathena/scripts/daupload-release
===================================================================
--- trunk/debathena/scripts/daupload-release 2008-07-11 20:00:40 UTC (rev 23071)
+++ trunk/debathena/scripts/daupload-release 2008-07-11 20:24:52 UTC (rev 23072)
@@ -13,6 +13,8 @@
# Upon completion, moves all of the generated files into the "built"
# subdirectory.
+# This script will skip dists listed in ./nobuild.
+
: ${DEBATHENA_APT=/mit/debathena/apt}
. $(dirname "$0")/debian-versions.sh
@@ -51,6 +53,17 @@
! [ -s "$1" ] || missing="$missing-$1 "
}
+# If ./nobuild exists, filter out its contents from DEBIAN_CODES.
+if [ -e nobuild ]; then
+ newcodes=
+ for code in $DEBIAN_CODES; do
+ if ! fgrep -q "$code" nobuild; then
+ newcodes="$newcodes $code"
+ fi
+ done
+ DEBIAN_CODES=$newcodes
+fi
+
missing=
[ -s "$change" ]
if [ $S -ne 1 ]; then
Modified: trunk/debathena/scripts/sbuildhack
===================================================================
--- trunk/debathena/scripts/sbuildhack 2008-07-11 20:00:40 UTC (rev 23071)
+++ trunk/debathena/scripts/sbuildhack 2008-07-11 20:24:52 UTC (rev 23072)
@@ -4,6 +4,10 @@
# distribution-dependent string like "~ubuntu7.10" to the binary
# package version, using Sbuildhack.pm.
+# This script us normally run as "da sbuildhack filename.dsc".
+
+# This script will skip dists listed in ./nobuild.
+
usage() {
echo "Usage: $0 <dist>-<arch> ..." >&2
exit 1
@@ -17,6 +21,12 @@
$dist_arch
EOF
if [ -z "$dist" ] || [ -z "$arch" ]; then usage; fi
+
+if [ -e nobuild ] && fgrep -q "$dist" nobuild; then
+ echo "Skipping $dist since it is listed in ./nobuild."
+ exit
+fi
+
export NMUTAG=`gettag "$dist"`
perl -I"$(dirname "$0")" -MSbuildHack \
/usr/bin/sbuild --binNMU=171717 --make-binNMU="Build with sbuild." \